org.apache.ignite.internal.metric

## Enum IoStatisticsType

- java.lang.Object
- - java.lang.Enum<IoStatisticsType>
  - - org.apache.ignite.internal.metric.IoStatisticsType

All Implemented Interfaces:
  Serializable, Comparable<IoStatisticsType>

    public enum IoStatisticsType
    extends Enum<IoStatisticsType>

Type of statistics.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CACHE_GROUP` Cache group.
`HASH_INDEX` Hash index.
`SORTED_INDEX` Sorted index.
`SQL` SQL.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `metricGroupName()`
`static IoStatisticsType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IoStatisticsType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CACHE_GROUP

    public static final IoStatisticsType CACHE_GROUP

Cache group.

#### HASH_INDEX

    public static final IoStatisticsType HASH_INDEX

Hash index.

#### SORTED_INDEX

    public static final IoStatisticsType SORTED_INDEX

Sorted index.

#### SQL

    public static final IoStatisticsType SQL

SQL.

### Method Detail

#### values

    public static IoStatisticsType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IoStatisticsType c : IoStatisticsType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IoStatisticsType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### metricGroupName

    public String metricGroupName()

Returns:
  Metric group name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023